Tp::BaseCallContent Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseCallContent Class Reference

`#include </home/kaffeine/devel/gsoc/release/telepathy-qt/TelepathyQt/base-call.h>`

Inherits Tp::DBusService.

## Public Member Functions
virtual | ~BaseCallContent ()
QVariantMap | immutableProperties () const
bool | registerObject (DBusError *error=NULL)
virtual QString | uniqueName () const
QList < AbstractCallContentInterfacePtr > | interfaces () const
AbstractCallContentInterfacePtr | interface (const QString &interfaceName) const
bool | plugInterface (const AbstractCallContentInterfacePtr &interface)
QString | name () const
Tp::MediaStreamType | type () const
Tp::CallContentDisposition | disposition () const
Tp::ObjectPathList | streams () const
Public Member Functions inherited from Tp::DBusService
| DBusService (const QDBusConnection &dbusConnection)
virtual | ~DBusService ()
QDBusConnection | dbusConnection () const
QString | busName () const
QString | objectPath () const
DBusObject * | dbusObject () const
bool | isRegistered () const
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseCallContentPtr | create (const QDBusConnection &dbusConnection, BaseChannel *channel, const QString &name, const Tp::MediaStreamType &type, const Tp::MediaStreamDirection &direction)

## Protected Member Functions
| BaseCallContent (const QDBusConnection &dbusConnection, BaseChannel *channel, const QString &name, const Tp::MediaStreamType &type, const Tp::MediaStreamDirection &direction)
virtual bool | registerObject (const QString &busName, const QString &objectPath, DBusError *error)
void | remove ()
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Constructor & Destructor Documentation

Tp::BaseCallContent::~BaseCallContent | ( |  | ) |
| virtual

Tp::BaseCallContent::BaseCallContent | ( | const QDBusConnection & | dbusConnection,
|  | BaseChannel * | channel,
|  | const QString & | name,
|  | const Tp::MediaStreamType & | type,
|  | const Tp::MediaStreamDirection & | direction
| ) |  |
| protected

## Member Function Documentation

static BaseCallContentPtr Tp::BaseCallContent::create | ( | const QDBusConnection & | dbusConnection,
|  | BaseChannel * | channel,
|  | const QString & | name,
|  | const Tp::MediaStreamType & | type,
|  | const Tp::MediaStreamDirection & | direction
| ) |  |
| inlinestatic

QVariantMap Tp::BaseCallContent::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this D-Bus service object.

Immutable properties cannot change after the object has been registered on the bus with registerObject().

Returns
  The immutable properties of this D-Bus service object.

Implements Tp::DBusService.

bool Tp::BaseCallContent::registerObject | ( | DBusError * | error = `NULL` | ) |

QString Tp::BaseCallContent::uniqueName | ( |  | ) | const
| virtual

QList< AbstractCallContentInterfacePtr > Tp::BaseCallContent::interfaces | ( |  | ) | const

AbstractCallContentInterfacePtr Tp::BaseCallContent::interface | ( | const QString & | interfaceName | ) | const

bool Tp::BaseCallContent::plugInterface | ( | const AbstractCallContentInterfacePtr & | interface | ) |

QString Tp::BaseCallContent::name | ( |  | ) | const

Tp::MediaStreamType Tp::BaseCallContent::type | ( |  | ) | const

Tp::CallContentDisposition Tp::BaseCallContent::disposition | ( |  | ) | const

Tp::ObjectPathList Tp::BaseCallContent::streams | ( |  | ) | const

bool Tp::BaseCallContent::registerObject | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | DBusError * | error
| ) |  |
| protectedvirtual

Reimplemented from DBusService.

Reimplemented from Tp::DBusService.

void Tp::BaseCallContent::remove | ( |  | ) |
| protected